Bug 1298557 - tigervnc-server-module-1.5.0-2 has broken network buffering, causes immediate stall
tigervnc-server-module-1.5.0-2 has broken network buffering, causes immediate...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Grulich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 07:38 EST by John Sullivan
Modified: 2016-01-21 07:53 EST (History)
3 users (show)

See Also:
Fixed In Version: tigervnc-1.6.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-20 23:49:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sullivan 2016-01-14 07:38:16 EST
I recently updated from tigervnc-server-module-1.4.3-3.fc21.x86_64 to tigervnc-server-module-1.5.0-2.fc21.x86_64 and found that VNC sessions are now thoroughly broken. The initial desktop doesn't quite fully paint, then hangs and further interaction is impossible to see (but can be checked via other means and is still happening!)

This appears to be due to this upstream bug:

https://github.com/TigerVNC/tigervnc/issues/196

Which causes the network output buffer to not be flushed completely to the client. The fix is simple:

https://github.com/TigerVNC/tigervnc/commit/c88dc805e55cffa7af83ae741b0ffa26aade068e

This should affect all F21-F24 versions. Koji says that a version bump to 1.6.0 is on its way for F22-F24, which should contain this fix.

I realise F21 is now officially EOL, however it would be unfortunate if the very last late-breaking action for this package was to completely break it and leave it broken. Any chance of one last fix there?
Comment 1 Fedora Update System 2016-01-14 07:47:36 EST
tigervnc-1.6.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5249975cd3
Comment 2 Fedora Update System 2016-01-20 23:49:06 EST
tigervnc-1.6.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 3 John Sullivan 2016-01-21 07:53:37 EST
...and is there any chance at all of not leaving F21 broken?

Note You need to log in before you can comment on or make changes to this bug.